
import bpy, ossl.menu as menu

class OSSL_MT_Test_execute(menu.MenuFolder):
    bl_label = "OSSL Menu Test Execute"
    bl_idname = "OSSL_MT_Test_execute"

def OSSL_menu_Test_execute(self, context):
    self.layout.menu(OSSL_MT_Test_execute.bl_idname, text="execute", icon="EVENT_X")

import ossl.util as util
   
def register():
    print("registering: OSSL Type Test Execute")
    bpy.utils.register_class(OSSL_MT_Test_execute)
    bpy.types.OSSL_MT_Test.append(OSSL_menu_Test_execute)
    util.imports("ossl._types.Test.execute", "execute_default")
    print("registered: OSSL Type Test Execute")

def unregister():
    print("unregistering: OSSL Type Test Execute")
    util.release("ossl._types.Test.execute", "execute_default")
    bpy.types.OSSL_MT_Test.remove(OSSL_menu_Test_execute)
    bpy.utils.unregister_class(OSSL_MT_Test_execute)
    print("unregistered: OSSL Type Test Execute")

if __name__ == "__main__":
    util.reset_addon()
